DoubleConsumer (Java Platform SE 8 )
Keywords: java.util.function.DoubleConsumer interface
Date: 2026-03-16

compact1, compact2, compact3
java.util.function

## Interface DoubleConsumer

- All Known Subinterfaces:
    DoubleStream.Builder
  All Known Implementing Classes:
    DoubleSummaryStatistics
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DoubleConsumer

  Represents an operation that accepts a single `double`-valued argument and returns no result. This is the primitive type specialization of `Consumer` for `double`. Unlike most other functional interfaces, `DoubleConsumer` is expected to operate via side-effects.

  This is a functional interface whose functional method is `accept(double)`.

  Since:
    1.8
  See Also:
    `Consumer`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(double value)` Performs this operation on the given argument.
    `default DoubleConsumer` | `andThen(DoubleConsumer after)` Returns a composed `DoubleConsumer` that performs, in sequence, this operation followed by the `after` operation.

- - ### Method Detail

    - #### accept

          void accept(double value)

      Performs this operation on the given argument.
      Parameters:
        `value` - the input argument

    - #### andThen

          default DoubleConsumer andThen(DoubleConsumer after)

      Returns a composed `DoubleConsumer` that performs, in sequence, this operation followed by the `after` operation. If performing either operation throws an exception, it is relayed to the caller of the composed operation. If performing this operation throws an exception, the `after` operation will not be performed.
      Parameters:
        `after` - the operation to perform after this operation
      Returns:
        a composed `DoubleConsumer` that performs in sequence this operation followed by the `after` operation
      Throws:
        `NullPointerException` - if `after` is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.